<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="../templates/app-template.xhtml">

    <ui:define name="content">
        <h:form id="form">
            <p:dataTable var="task" value="#{taskBean.list()}"
                         rows="12" paginator="true" id="tasks" paginationPosition="bottom"
                         paginatorTemplate="{CurrentPageReport}  {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                         rowsPerPageTemplate="6,12,16" rowIndexVar="rowIndex">
                <p:column headerText="#" width="50">
                    <h:outputText value="#{rowIndex + 1}"/>
                </p:column>
                <p:column headerText="Project" width="100">
                    <h:outputText value="#{task.project.name}"/>
                </p:column>
                <p:column headerText="Name" width="100">
                    <h:outputText value="#{task.name}"/>
                </p:column>
                <p:column headerText="Description" width="200">
                    <h:outputText value="#{task.description}"/>
                </p:column>
                <p:column headerText="Date begin" width="150">
                    <h:outputText value="#{task.dateBegin}">
                        <f:converter converterId="ru.parshin.tm.converter.LocalDateTimeConverter"/>
                    </h:outputText>
                </p:column>
                <p:column headerText="Date end" width="150">
                    <h:outputText value="#{task.dateEnd}">
                        <f:converter converterId="ru.parshin.tm.converter.LocalDateTimeConverter"/>
                    </h:outputText>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-pencil buttons"
                                   ajax="false"
                                   action="#{taskBean.editTask(task)}"/>
                </p:column>
                <p:column width="50" style="text-align: center;">
                    <p:commandLink styleClass="fa fa-trash buttons"
                                   action="#{taskBean.taskDelete(task)}"
                                   update="tasks">
                        <p:confirm header="Delete task"
                                   message="Delete task with name: #{task.name}?"
                                   icon="pi pi-exclamation-triangle"/>
                    </p:commandLink>
                </p:column>
            </p:dataTable>
        </h:form>
        <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
            <p:commandButton value="Yes" type="button" styleClass="ui-confirmdialog-yes" icon="fa fa-check"/>
            <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="fa fa-times"/>
        </p:confirmDialog>
        <p:linkButton outcome="#{taskBean.newTask()}" styleClass="buttons" value="Create" icon="fa fa-plus"/>
    </ui:define>

</ui:composition>
